jQuery(function ($) {
    const sms_enable = $("input#sms_enable");

    if (sms_enable.is(":checked")) {
        show_sms_settings();
    } else {
        hide_sms_settings();
    }

    sms_enable.click(function () {
        if ($(this).prop("checked")) {
            show_sms_settings();
        } else {
            hide_sms_settings();
        }
    });

    function show_sms_settings() {
        $("#mob_number").parents(".wpuf-input-container").fadeIn();
        $("#sms_sender_name").parents(".wpuf-input-container").fadeIn();
        $("#sms_body").parents(".wpuf-input-container").fadeIn();
        $("#gateway").parents(".wpuf-input-container").fadeIn();
    }

    function hide_sms_settings() {
        $("#mob_number").parents(".wpuf-input-container").fadeOut();
        $("#sms_sender_name").parents(".wpuf-input-container").fadeOut();
        $("#sms_body").parents(".wpuf-input-container").fadeOut();
        $("#gateway").parents(".wpuf-input-container").fadeOut();
    }
});
